TdsCore.TdsToken (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class TdsCore.TdsToken

- java.lang.Object
- - net.sourceforge.jtds.jdbc.TdsCore.TdsToken

- Enclosing class:
    TdsCore

      private static class TdsCore.TdsToken
      extends java.lang.Object

  Inner static class used to hold information about TDS tokens read.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.Object[]` | `dynamParamData` The dynamic parameter data from the last TDS_DYNAMIC token.
    `(package private) ColInfo[]` | `dynamParamInfo` The dynamic parameters from the last TDS_DYNAMIC token.
    `(package private) byte` | `operation` The operation field from a DONE packet.
    `(package private) byte` | `status` The status field from a DONE packet.
    `(package private) byte` | `token` The current TDS token byte.
    `(package private) int` | `updateCount` The update count from a DONE packet.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `TdsCore.TdsToken()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `isAuthToken()` Retrieve the NTLM challenge status.
    `(package private) boolean` | `isEndToken()` Retrieve the DONE token status.
    `(package private) boolean` | `isResultSet()` Retrieve the result set status.
    `boolean` | `isRowData()` Retrieve the row data status.
    `(package private) boolean` | `isUpdateCount()` Retrieve the update count status.
    `(package private) boolean` | `resultsPending()` Retrieve the results pending status.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### token

          byte token

      The current TDS token byte.

    - #### status

          byte status

      The status field from a DONE packet.

    - #### operation

          byte operation

      The operation field from a DONE packet.

    - #### updateCount

          int updateCount

      The update count from a DONE packet.

    - #### dynamParamInfo

          ColInfo[] dynamParamInfo

      The dynamic parameters from the last TDS_DYNAMIC token.

    - #### dynamParamData

          java.lang.Object[] dynamParamData

      The dynamic parameter data from the last TDS_DYNAMIC token.

  - ### Constructor Detail

    - #### TdsCore.TdsToken

          private TdsCore.TdsToken()

  - ### Method Detail

    - #### isUpdateCount

          boolean isUpdateCount()

      Retrieve the update count status.
      Returns:
        `boolean` true if the update count is valid.

    - #### isEndToken

          boolean isEndToken()

      Retrieve the DONE token status.
      Returns:
        `boolean` true if the current token is a DONE packet.

    - #### isAuthToken

          boolean isAuthToken()

      Retrieve the NTLM challenge status.
      Returns:
        `boolean` true if the current token is an NTLM challenge.

    - #### resultsPending

          boolean resultsPending()

      Retrieve the results pending status.
      Returns:
        `boolean` true if more results in input.

    - #### isResultSet

          boolean isResultSet()

      Retrieve the result set status.
      Returns:
        `boolean` true if the current token is a result set.

    - #### isRowData

          public boolean isRowData()

      Retrieve the row data status.
      Returns:
        `true` if the current token is a result row.

Generated on June 8 2013